Skip to main content
GET
List customers who used a promotion

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

promotion id

Query Parameters

page
integer
default:1

Page number, starting at 1. Non-integer values and values below 1 return 400.

Required range: x >= 1
limit
integer
default:25

Results per page. Values below 1 use 1; values above 500 return 400. Non-integer input returns 400.

Required range: 1 <= x <= 500
sort_by
string

JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}

search keyword

Response

OK

message
string
required
success
boolean
required
content
object
required